---
title: "Create and edit send invite brand resource"
url: "https://docs.signnow.com/docs/general-branding/operations/put-v2-brands-brand_id-resources-send-invite"
type: "endpoint"
section: "general-branding"
slug: "general-branding/operations/put-v2-brands-brand_id-resources-send-invite"
method: "PUT"
path: "/v2/brands/{brand_id}/resources/send-invite"
operation_id: "put-v2-brands-brand_id-resources-send-invite"
authorization: "bearer"
---

# Create and edit send invite brand resource

`PUT /v2/brands/{brand_id}/resources/send-invite`

This endpoint allows users to create and update a brand resource for the Send Invite page.

Learn more about the [send invite brand resource](/docs/branding-send-invite-resource).

Note: to create a send invite resource for a brand, you need to own the brand.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `brand_id` | string | Yes | ID of the brand. Must match the pattern: [a-z0-9]{40}. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {
    "from": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "description": "Whether to show the From field."
        }
      },
      "description": "Configuration of the From field."
    },
    "header": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "description": "Whether to show the header."
        }
      },
      "description": "Configuration of the header."
    },
    "settings": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "description": "Whether to show the settings (gear icon)."
        }
      },
      "description": "Configuration of the settings button (gear icon)."
    },
    "cc-recipients": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "description": "Whether to show the CC recipients field."
        }
      },
      "description": "Configuration of the CC recipients field."
    },
    "preview-panel": {
      "type": "object",
      "properties": {
        "background": {
          "type": "string",
          "description": "Background color of the preview panel in HEX color code. "
        },
        "visibility": {
          "type": "boolean",
          "description": "Whether to show the preview panel."
        }
      },
      "description": "Configuration of the preview panel."
    },
    "settings-panel": {
      "type": "object",
      "properties": {
        "background": {
          "type": "string",
          "description": "Background color of the settings panel in HEX color code."
        }
      },
      "description": "Configuration of the settings panel."
    },
    "request-payment": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "description": "Whether to show the Add Payment Request link on the Send Invite page and the Request a Payment toggle in Advanced Options (More > Advanced Options)."
        }
      },
      "description": "Configuration of the Add Payment Request link and Request a Payment option."
    },
    "customize-message": {
      "type": "object",
      "properties": {
        "visibility": {
          "type": "boolean",
          "description": "Whether to show the Customize Message button."
        }
      },
      "description": "Configuration of the Customize Message button."
    }
  },
  "x-examples": {
    "Example 1": {
      "from": {
        "visibility": true
      },
      "header": {
        "visibility": true
      },
      "settings": {
        "visibility": true
      },
      "cc-recipients": {
        "visibility": true
      },
      "preview-panel": {
        "background": "#f6f8fb",
        "visibility": true
      },
      "settings-panel": {
        "background": "#ffffff"
      },
      "request-payment": {
        "visibility": true
      },
      "customize-message": {
        "visibility": true
      }
    }
  }
}
```

**Example** (`Example 1`)

```json
{
  "from": {
    "visibility": true
  },
  "header": {
    "visibility": true
  },
  "settings": {
    "visibility": true
  },
  "cc-recipients": {
    "visibility": true
  },
  "preview-panel": {
    "background": "#f6f8fb",
    "visibility": true
  },
  "settings-panel": {
    "background": "#ffffff"
  },
  "request-payment": {
    "visibility": true
  },
  "customize-message": {
    "visibility": true
  }
}
```

## Responses

### 204

Success, no content

### 400

- Incorrect or missing token.
- Request body is incorrect or missing.
- The `header` is not an array.
- The `header.visibility` is not a boolean.
- The `from` is not an array.
- The `from.visibility` is not a boolean.
- The `settings` is not an array.
- The `settings.visibility` is not a boolean.
- The `customize-message` is not an array.
- The `customize-message`.visibility is not a boolean.
- The `request-payment` is not an array.
- The `request-payment.visibility` is not a boolean.
- The `cc-recipients` is not an array.
- The `cc-recipients.visibility` is not a boolean.
- The `settings-panel` is not an array.
- The `settings-panel.background` is not a string.
- The `settings-panel.background` is missing.
- The `settings-panel.background` format is incorrect.
- The `preview-panel` is not an array.
- The `preview-panel.visibility` is not a boolean.
- The `preview-panel.background` is not a string.
- The `preview-panel.background` is missing.
- The `preview-panel.background` format is incorrect.


**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 25002338,
      "message": "The `request-payment.visibility` field must be a boolean."
    }
  ]
}
```

**Example** (`header not an array`)

```json
{
  "code": 25002329,
  "message": "The 'header' field must be an array."
}
```

**Example** (`from is not an array`)

```json
{
  "code": 25002331,
  "message": "The 'from' field must be an array."
}
```

**Example** (`settings is not an array`)

```json
{
  "code": 25002333,
  "message": "The 'settings' field must be an array."
}
```

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`cc-recipients is not an array`)

```json
{
  "code": 25002339,
  "message": "The 'cc-recipients' field must be an array."
}
```

**Example** (`preview-panel is not an array`)

```json
{
  "code": 25002347,
  "message": "The 'preview-panel' field must be an array."
}
```

**Example** (`settings-panel is not an array`)

```json
{
  "code": 25002343,
  "message": "The 'settings-panel' field must be an array."
}
```

**Example** (`request-payment is not an array`)

```json
{
  "code": 25002337,
  "message": "The 'request-payment' field must be an array."
}
```

**Example** (`from.visibility is not a boolean`)

```json
{
  "code": 25002332,
  "message": "The 'from.visibility' field must be a boolean."
}
```

**Example** (`Request body incorrect or missing`)

```json
{
  "code": 25002002,
  "message": "Invalid payload given."
}
```

**Example** (`customize-message is not an array`)

```json
{
  "code": 25002335,
  "message": "The 'customize-message' field must be an array."
}
```

**Example** (`header.visibility is not a boolean`)

```json
{
  "code": 25002330,
  "message": "The 'header.visibility' field must be a boolean."
}
```

**Example** (`preview-panel.background is missing`)

```json
{
  "code": 25002350,
  "message": "The 'preview-panel.background' field is required."
}
```

**Example** (`settings-panel.background is missing`)

```json
{
  "code": 25002345,
  "message": "The 'settings-panel.background' field is required."
}
```

**Example** (`settings.visibility is not a boolean`)

```json
{
  "code": 25002334,
  "message": "The 'settings.visibility' field must be a boolean."
}
```

**Example** (`preview-panel.background is not a string`)

```json
{
  "code": 25002349,
  "message": "The 'preview-panel.background' field must be a string."
}
```

**Example** (`cc-recipients.visibility is not a boolean`)

```json
{
  "code": 25002340,
  "message": "The 'cc-recipients.visibility' field must be a boolean."
}
```

**Example** (`preview-panel.visibility is not a boolean`)

```json
{
  "code": 25002348,
  "message": "The 'preview-panel.visibility' field must be a boolean."
}
```

**Example** (`settings-panel.background is not a string`)

```json
{
  "code": 25002344,
  "message": "The 'settings-panel.background' field must be a string."
}
```

**Example** (`settings-panel.background format incorrect`)

```json
{
  "code": 25002346,
  "message": "The 'settings-panel.background' field format is invalid."
}
```

**Example** (`request-payment.visibility is not a boolean`)

```json
{
  "code": 25002338,
  "message": "The 'request-payment.visibility' field must be a boolean."
}
```

**Example** (`preview-panel.background format is incorrect`)

```json
{
  "code": 25002351,
  "message": "The 'preview-panel.background' field format is invalid."
}
```

**Example** (`customize-message.visibility is not a boolean`)

```json
{
  "code": 25002336,
  "message": "The 'customize-message.visibility' field must be a boolean."
}
```

### 403

- Request with a valid bearer token from another user logged in.
- The user is authorized with a token from an app they don’t own.

**Example** (`Example 1`)

```json
{
  "code": 25002030,
  "message": "No access to the brand."
}
```

**Example** (`No access to brand`)

```json
{
  "code": 25002030,
  "message": "No access to the brand."
}
```

**Example** (`User doesn't own brand`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed."
}
```

### 404

- Brand with this `brand_id` doesn't exist.
- Missing or incorrect brand_id.

**Example** (`Example 1`)

```json
{
  "code": 25002016,
  "message": "Brand not found."
}
```

**Example** (`Brand not found`)

```json
{
  "code": 25002016,
  "message": "Brand not found."
}
```

**Example** (`Incorrect brand_id`)

```json
{
  "404": "Unable to find a route to match the URI: v2/brand/null/editor"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/brands/{brand_id}/resources/send-invite" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"from": {"visibility": true}, "header": {"visibility": true}, "settings": {"visibility": true}, "cc-recipients": {"visibility": true}, "preview-panel": {"background": "#f6f8fb", "visibility": true}, "settings-panel": {"background": "#ffffff"}, "request-payment": {"visibility": true}, "customize-message": {"visibility": true}}'
```

---
*Full reference: https://docs.signnow.com/docs/general-branding/operations/put-v2-brands-brand_id-resources-send-invite*
